{repo}: GitHub repository star count

API: shields.io:shields
Endpoint: /github/stars/{owner}/{repo}
Response format: application/octet-stream
Auth: none
Method: GET
Last Status: 200
Latency: 139ms

Description

Get the star count badge for a GitHub repository.

Parameters (5)

label (string, query, optional)

Override the default label text

logo (string, query, optional)

Logo to display

owner (string, path, required)

GitHub repository owner username

repo (string, path, required)

GitHub repository name

style (string, query, optional)

Badge visual style

Examples (1)

GitHub repository star count openapi-spec
curl 'https://img.shields.io/github/stars/badges/shields'
import requests

resp = requests.get("https://img.shields.io/github/stars/badges/shields")
data = resp.json()
import zingu_apis

api = zingu_apis.api("shields")
result = api.fetch("github/stars/{owner}/{repo}")

for item in result:
    print(item)
const resp = await fetch("https://img.shields.io/github/stars/badges/shields");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:31:29.829871 200 139ms
2026-04-15 00:10:58.242703 200 143ms
2026-04-14 00:47:38.119862 200 186ms
2026-04-12 14:41:55.954511 200 124ms
2026-04-10 03:06:38.734877 200 371ms